

Name:           kpipewire
Version:        5.27.11
Release:        %mkrel 1
Summary:        Offers a set of convenient classes to use PipeWire in Qt projects
Group:          System/Libraries
License:        GPLv2
URL:            https://invent.kde.org/plasma/kpipewire
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(epoxy)

%description
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -f %name.lang
%_kf5_categoriesdir/kpipewire*.categories
%_qt5_qmldir/org/kde/pipewire/

#--------------------------------------------------------------------

%define kpipewire_major 5
%define libkpipewire %mklibname kpipewire %{kpipewire_major}

%package -n %libkpipewire
Summary:        Offers a set of convenient classes to use PipeWire in Qt projects
Group:          System/Libraries
Requires:     %{name} >= %{version}-%{release}

%description -n %libkpipewire
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -n %libkpipewire
%_kf5_libdir/libKPipeWire.so.%{kpipewire_major}
%_kf5_libdir/libKPipeWire.so.%{version}

%_kf5_libdir/libKPipeWireDmaBuf.so.%{kpipewire_major}
%_kf5_libdir/libKPipeWireDmaBuf.so.%{version}

%_kf5_libdir/libKPipeWireRecord.so.%{kpipewire_major}
%_kf5_libdir/libKPipeWireRecord.so.%{version}

#--------------------------------------------------------------------

%define kpipewire_devel %mklibname kpipewire -d

%package -n %kpipewire_devel
Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkpipewire       = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kpipewire_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpipewire_devel
%_includedir/KPipeWire/
%_kf5_libdir/*.so
%_kf5_libdir/cmake

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

